Subject: Re: [PATCH] Teach 'rebase -i' the command "reword"

From: Johannes Sixt <[email-masked]>
Date: Tue, 06 Oct 2009 09:23:41 +0200

Björn Gustavsson schrieb:
> @@ -368,17 +368,17 @@ By replacing the command "pick" with the command "edit", you can tell
>  the files and/or the commit message, amend the commit, and continue
>  rebasing.
>  
> -If you just want to edit the commit message for a commit, you can replace
> -the command "pick" with the command "reword".
> +If you just want to edit the commit message for a commit, replace the
> +command "pick" with the command "reword".
>  
>  If you want to fold two or more commits into one, replace the command
>  "pick" with "squash" for the second and subsequent commit.  If the
>  commits had different authors, it will attribute the squashed commit to
>  the author of the first commit.
>  
> -In both cases, or when a "pick" does not succeed (because of merge
> -errors), the loop will stop to let you fix things, and you can continue
> -the loop with `git rebase --continue`.
> +When "pick" has been replaced with "edit" or when a "pick" does not
> +succeed (because of merge errors), the loop will stop to let you fix
> +things, and you can continue the loop with `git rebase --continue`.

Since "reword" is "pick" + editor, it can fail due to conflicts as well.
Perhaps:

'git-rebase' will stop after an edit command or when a command failed
(due to merge errors). When you are done with your edits or with resolving
merge conflicts, continue with `git rebase --continue`.

(I'm unsure about the mark-up.)

-- Hannes